Tag: android-studio

Verwenden Sie für Fragen über die Verwendung von Android Studio, eine offizielle IDE gezielt an Android-Entwicklung. **Verwenden Sie für Fragen über das Programmieren für Android im Allgemeinen, sondern verwenden Sie [tag:android].**

was ist Android Studio Instant Laufen?

Anzahl der Antworten 4 Antworten
Heute habe ich aktualisiert, mein android studio, und führen Sie die app, die bestehenden mit der vorherigen version.Wenn ich mit der app mit der vorherigen version der app starten sehr schnell, aber wenn ich aktualisiert, android studio,

Laden Sie lokale html-Datei in webview android

Anzahl der Antworten 1 Antworten
Ich versuche zu laden, den Inhalt einer html-Datei in webview in android. Jedoch, es gibt mir die "Webseite nicht verfügbar Fehler". Wenn ich versuche websites wie google oder yahoo, Sie arbeiten. Die html-Datei unter src > main

Veraltete Kotlin-Laufzeit-Warnung in Android Studio

Anzahl der Antworten 15 Antworten
Nachdem Sie heruntergeladen und installiert neueste Kotlin-plugin habe ich Veraltet Kotlin Laufzeit Warnung von Android Studio, die mir sagen: Ihre version der Kotlin-Laufzeit in "kotlin-stdlib-1.1.2" Bibliothek ist 1.1.2, während die plugin-version ist 1.1.2-release-Studio2.3-3. Runtime library aktualisiert werden

NetworkSecurityConfig: Keine Netzwerk-Security-Config angegeben — Android 7.0 Fehler?

Anzahl der Antworten 3 Antworten
Ich habe einige Probleme für android-7.0.0. Benutze ich volley Bibliothek für meine Anwendung, und es funktioniert gut, außer für Android 7.0 Hier ist ein Teil von meinem code; String url_goster = "http://185.126.217.71/clog.php"; RequestQueue requestQueue; StringRequest request= new

Android resource compilation failed in v3.2

Anzahl der Antworten 7 Antworten
So, ich aktualisiert mein Android Studio v3.2. Als ich versuchte das Projekt kompilieren, bauen fehlschlägt. Unten ist die Fehlermeldung: Android resource compilation failed Output: C:\Users\Ashish\AndroidStudioProjects\StartUp\app\build\intermediates\incremental\mergeDebugResources\merged.dir\values\values.xml:900: error: <item> inner element must either be a resource reference or empty.

Android-Gradle der Abhängigkeits-cache ist beschädigt und gradle build nicht funktioniert

Anzahl der Antworten 6 Antworten
Ich versuche, importieren Sie das Projekt, auch habe ich versucht zu importieren wenigen anderen Projekten auch, ich erhalte folgende Fehlermeldung. https://github.com/ashdavies/data-binding Ich habe meine 5 Stunden auf ihn, auch ich habe versucht, viele Lösungen bei google aber

Gradle nicht lösen Play-Dienste-Abhängigkeit

Anzahl der Antworten 3 Antworten
Habe ich ein sauberes Android-Projekt mit Google-Play-services rev. 13 installiert, über den SDK-manager nach diese Anweisungen. Meine build.gradle - Datei ist wie folgt: dependencies { compile 'com.google.android.gms:play-services:4.0.30' } Jedoch, wenn ich versuche zu bauen, diese app, ich

Bitte konfigurieren Sie den Android SDK

Anzahl der Antworten 8 Antworten
Ich bin immer diese Fehlermeldung: Bitte configure Android SDK Onclick konfigurieren ich immer ein popup können Sie mir sagen, der Grund für downvote bitte Aktualisieren Sie Ihre Kopie von Android SDK und Überprüfen Sie die Android SDK

Android Studio 3.1: Fehlerhafte nicht aufgelöste Verweise im editor

Anzahl der Antworten 5 Antworten
Ich bin mit Ubuntu 17.10, und ich habe soeben Android Studio von version 3.0.1 auf 3.1. Hier ist die version, die Informationen im Hilfe -> Über: Android Studio 3.1 Build #AI-173.4670197, built on March 22, 2018 JRE:

So finden Sie den Weg flattern sdk

Anzahl der Antworten 5 Antworten
Konfigurieren flattern sdk? wie Sie das flattern sdk? Ich weiß nicht, der Speicherort des sdk-Datei Wie haben Sie Flattern? Welches Betriebssystem? Fügen Sie "<pathinyourmachine>/ - flattern/bin" zu Path-Umgebungsvariable. helpdeskgeek.com/windows-10/... check dieser InformationsquelleAutor praveen harikrishna | 2018-05-08

Android-Studio Emulator E/AudioFlinger Fehlermeldung

Anzahl der Antworten 3 Antworten
Wenn ich starten Sie ein beliebiges Gerät aus dem AVD-Manager es einfach Schleifen diese Fehlermeldung unendlich: E/AudioFlinger: read failed: framesRead=-1 Es auch nicht, dass wenn ich ein neues Gerät. Egal, ob "Use Host GPU" aktiviert ist oder

Die Installation von Android Studio in Ubuntu 14.04 64-Bit .android/repositories.cfg konnte nicht geladen werden

Anzahl der Antworten 1 Antworten
Wenn ich die Installation von Android Studio 2.1 zeigt Er mir Fehler ./studio.sh Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=350m; support was removed in 8.0 log4j:WARN No appenders could be found for logger (io.netty.util.internal.logging.InternalLoggerFactory). log4j:WARN

So integrieren Sie zwei oder mehr google-Dienste.json-Datei zusammen, die für verschiedene google-Dienste im selben Projekt mit Android Studio

Anzahl der Antworten 2 Antworten
Ich mache ein Projekt wo ich will, zu integrieren GCM und Google sign in aber das problem ist beide haben google-services.json Konfigurations-Datei, die wir hinzufügen müssen, um in unserem Projekt. So, wie kann ich Sie integrieren beide

Gradle Android dependency Produkt-Aromen

Anzahl der Antworten 4 Antworten
Ich würde gerne wissen, ob es eine Möglichkeit gibt, die für ein root-Projekt zu definieren/Spritzen einige Eigenschaften in die Abhängigkeiten. Genauer gesagt, das problem das ich habe ist, dass ein library-Projekt hat zu wissen, ob "free" oder

Android Studio: die Deaktivierung von "Externen build" - Anzeige Fehler-Ausgabe duplizieren Klasse Fehler

Anzahl der Antworten 5 Antworten
Ich bin ab meine migration von Eclipse zu Android Studio und starten Sie mit neuen Projekten auf Studio. Mein test-Projekt war in Ordnung arbeiten, bis ich habe einige Fehler Meldungen. Ich hatte zu tun, einige manipulation (https://stackoverflow.com/a/16876993/327402)

Konnte nicht gefunden com.android.tools.bauen:aapt2:3.2.0

Anzahl der Antworten 4 Antworten
AndroidStudio3.2 Canary14 fehl-clean-und-Umbau mit folgendem Fehler Could not find com.android.tools.build:aapt2:3.2.0-alpha14-4748712. Searched in the following locations: file:~/Library/Android/sdk/extras/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712.pom file:~/Library/Android/sdk/extras/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712-osx.jar file:~/Library/Android/sdk/extras/google/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712.pom file:~/Library/Android/sdk/extras/google/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712-osx.jar file:~/Library/Android/sdk/extras/android/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712.pom file:~/Library/Android/sdk/extras/android/m2repository/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712-osx.jar https://jcenter.bintray.com/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712.pom https://jcenter.bintray.com/com/android/tools/build/aapt2/3.2.0-alpha14-4748712/aapt2-3.2.0-alpha14-4748712-osx.jar Required by: project :app InformationsquelleAutor Arunabh Das | 2018-05-10

Android Studio : emulator läuft bereits

Anzahl der Antworten 15 Antworten
Ich versuche zu laufen emulator auf mein android studio 8.14. Wenn ich auf "ausführen" klicken, es sagt, es wird bereits ausgeführt. Jede Hilfe würde geschätzt werden. Versuchen Sie adb stop-serverund dann adb start-server haben Sie versuchen, entfernen

Windows Kann nicht gestartet werden, Git: Wahrscheinlich der Pfad zu Git ausführbare Datei ist nicht gültig

Anzahl der Antworten 5 Antworten
Can't start Git: C:\Users\Cloudion PC\AppData\Local\GitHub\PortableGit_d93ee8917cfa9add886773e6be9ec08609a502b6\bin\git.exe Probably the path to Git executable is not valid. Bin ich immer die obige Meldung, die im Zusammenhang mit der git in android studio für windows.bisher bin ich mit android studio ohne

studio.sh Befehl nicht gefunden Ubuntu

Anzahl der Antworten 3 Antworten
Ich versuche Android Studio laufen. Ich installiert haben, jdk und jre sudo apt-get install default-jre sudo apt-get install default-jdk Habe ich meine .bashrc und /etc/environment Datei zu export JAVA_HOME=/usr/lib/jvm/java-1.7.0-openjdk-amd64 export PATH=$JAVA_HOME/bin:$PATH aber immer noch nichts. $JAVA_HOME gibt

Warum hat Android Studio zeigen immer ActionBar im app-design, auch wenn es deaktiviert ist?

Anzahl der Antworten 2 Antworten
Ich habe eine Anwendung im neuen Android Studio 1.4 (trotzdem dieses Problem war bei 1.3.2) und ich haben beschlossen zu gehen mit der toolbar statt der actionbar wegen der erweiterten Funktionen. Habe ich beide xml und java

Mit jcenter und mavenCentral sowohl in Android Studio

Anzahl der Antworten 3 Antworten
Ich bin neu in Android Studio. Ich bin mit Bibliotheken in mein Projekt. Die maven central ist eine aktualisierte version der facebook-sdk, während die übrigen Bibliotheken, die ich verwende sind auf jcenter. Ich möchte wissen, ob wir

Diamant-Typ werden nicht unterstützt auf diesem Sprachniveau

Anzahl der Antworten 6 Antworten
Nach dem Import ein Projekt in Android studio, wenn ich will, um zu kompilieren oder führen Sie das Projekt, es wirft einen Fehler: Error:(61, 65) java: diamond operator is not supported in -source 1.6 (verwenden Sie -Quelle

Fehler : Mehrdeutiger Aufruf der Methode. Beide findViewById (int) in AppCompactActivity und Aktivität

Anzahl der Antworten 13 Antworten
Bin ich immer die Fehlermeldung: "Mehrdeutiger Aufruf der Methode" bei der Initialisierung Symbolleiste mit Android Studio 3.0 RC1. Ich erweiterte meine Tätigkeit mit AppCompatActivity und kompilieren meine application mit 'compileSdkVersion 26'. Befestigen Sie einen screenshot des Fehlers.

Android Studio 3.0 migration AAPT2 Fehler

Anzahl der Antworten 3 Antworten
Nach der Migration meiner bestehenden Projekt zu Android Studio 3.0 ist es nicht kompilieren. Nachfolgend werden die log-details: Error:java.util.concurrent.ExecutionException: java.util.concurrent.ExecutionException: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for details Error:java.util.concurrent.ExecutionException: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for details Error:com.android.tools.aapt2.Aapt2Exception: AAPT2

Können wir ändern, gradle plugin-version in Android studio

Anzahl der Antworten 2 Antworten
Mein Android studio 1.5.1 und ich fand 1.3.0 1.5.0 und in /Anwendungen/Android-Studio.app/Contents/gradle/m2repository/com/android/tools/build/gradle Aber ich möchte, um Benutzer-gradle-plugin 1.1.0, Ich habe die gradle-version im build.gradle. Aber es ist userless, also wie kann ich das ändern das gradle-plugin-version? InformationsquelleAutor

Gradle im Android Studio gibt Fehler Project sync failed

Anzahl der Antworten 9 Antworten
Ich bin neu in Android Studio.Ich installierte Android-Studio-1.2.1.1 und ich habe jdk1.7.0_40 installiert.Ich bin vor problem mit gradle bauen. Für die Referenz können Sie überprüfen, gradle Problem Bin ich immer folgenden Fehler in Nachrichten Error:The newly created

Manifest Fusion fehlschlägt, für appComponentFactory

Anzahl der Antworten 9 Antworten
Mithilfe von Google, die so genannte Material-Design 2.0 erfordert das hinzufügen implementation 'com.google.android.material:material:1.0.0-rc01' in der app Gradle dem auch implementation 'com.android.support:appcompat-v7:28.0.0-rc02' zeigt die Konflikte Hier ist, was sagt der log Manifest merger failed : Attribute [email protected] value=(android.support.v4.app.CoreComponentFactory)

Fehlt der android.os.handler-Objekt von Android Studio

Anzahl der Antworten 6 Antworten
Ich bin versucht, erstellen Sie einen Ereignishandler thread in meiner Anwendung, aber Android Studio ist mein text als rot und wird nur versuchen, importieren Sie die java.util-version einer Prozedur und nicht das Android-SDK-version. Beim Versuch zu importieren,

Wie einrichten Cordova-plugin-Projekt mit IDE-Unterstützung?

Anzahl der Antworten 5 Antworten
Ich habe gekämpft, um meine cordova-plugin-Projekt. Vor allem aufgrund der Tatsachen, dass: Plugins müssen in einem separaten Ordner Weg von der Haupt-Projekt Wenn ich zum Beispiel cordova build android um das Projekt zu erstellen, cordova kopiert die

/dev/kvm, die nicht auf mac

Anzahl der Antworten 5 Antworten
Also ich arbeite mit dem android studio 2.0 beta auf meinem Mac und AVD gut funktioniert. Aber dann merke ich, dass android studio nicht starten können, AVD jetzt. Es sagt /dev/kvm-nicht gefunden. aktivieren von VT-x im bios-Sicherheitseinstellungen,

Android: so ändern Sie die spezifischen Namen für die generierte apk-Datei im Android Studio?

Anzahl der Antworten 9 Antworten
Durch Standard-IDE-genarate eine apk wie app-debug.apk oder app-release.apk - Datei, aber ich brauche, um das generieren von spezifischen Namen der Apk der App. Zum Beispiel: Meine Bewerbung name ist iPlanter, so muss ich generieren iPlanter-debug.apk oder iPlanter-release.apk

Android Studio - keine Verbindung zum Gerät (Samsung Galaxy S7)

Anzahl der Antworten 1 Antworten
Ich habe ein Problem beim ausführen einer app auf android-studio. Die Liste der angeschlossenen Geräte wird immer leer bleiben. Somit kann ich nicht bereitstellen, meine app auf dem Handy. Das OS ist Windows 10. Ich habe bereits

Es gibt keine dimens.xml in android studio Projekt

Anzahl der Antworten 1 Antworten
Habe ich installiert Android Studio 2.2.2 auf meinem laptop. Dann habe ich es erst vor kurzem aktualisiert. Aber wenn ich ein leeres Projekt anlegen, es gibt keine dimens.xml auf das Projekt. In der Erwägung, dass, wenn ich

So löschen Sie ein repository und eine neue hinzufügen in Android studio?

Anzahl der Antworten 1 Antworten
Arbeitete ich mit VCS aktiviert in Android Studio und schob meinen code in einem repository, die ich erstellt hatte, in BitBucket. Aber jetzt ist das team mit dem ich arbeite hat ein neues repository auch auf BitBucket

Paket nicht vorhanden ist, wenn die Verwendung von separaten App als Abhängigkeit

Anzahl der Antworten 5 Antworten
Ich versuche zu kompilieren einer App mit eine separate App als Abhängigkeit, aber wenn ich kompilieren verweisen auf Module aus dieser Bibliothek sehe ich mehrere "Fehler:Paket existiert nicht" und "error:cannot find symbol-class" - Nachrichten von graddle. Die

Nicht finden konnten, eine Methode, die android - () für die Argumente in Android Studio Projekt

Anzahl der Antworten 6 Antworten
Ich versuche zu tun, eine Klasse sync auf meinem android-studio-Projekt, und ich erhalte diese Fehlermeldung im Titel. Meine bauen.gradle-Datei ist //Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories {

Fehler : minimum unterstützt gradle-version 4.6 im android-studio 3.0.1

Anzahl der Antworten 1 Antworten
Will ich mit Nachdruck 4.4 gradle-version Gibt es eine Lösung dafür? Ich bin auf der Suche der Lösung von lange konnte Sie aber nicht finden können es Minimum unterstützt Gradle-version ist 4.6. Die aktuelle version ist 4.4.

Nicht erstellen Sie ein Android-virtuelle Maschine mit Android studio

Anzahl der Antworten 3 Antworten
Folgende Meldung wurde angezeigt: "ein Fehler ist aufgetreten während der Erstellung der AVD. Sehen Idee.log für Einzelheiten." Bin ich in der 64-bit-Windows-8.1. Hier ist ein Screenshot von dem problem stackoverflow.com/a/55662531/4582111 InformationsquelleAutor Apon | 2017-04-19

Android Studio Gradle-Download Fehler

Anzahl der Antworten 1 Antworten
Wenn ich es lade Android-Studio, bekomme ich einen Fehler Gradle 'HelloWorld' project refresh failed Error:Could not download artifact 'com.android.tools.build:builder-model:0.12.1:builder- model.jar': No cached version available for offline mode Nicht nur das, sondern Android Studio dauert eine lange Zeit,

Android Studio Rendering-fragment Ausgabe

Anzahl der Antworten 4 Antworten
Ich bin, im moment, versuchen, machen Sie eine google-maps-app mit android studio. Momentan ist alles gut, außer für eine Sache, wenn ich auf den Tab "Design" in der XML Datei habe ich das Redering Nachricht: Rendering-Probleme Einen

Doppelte zip-Eintrag [Klassen.jar:android/support/design/widget/CoordinatorLayout$Behavior.class]

Anzahl der Antworten 4 Antworten
Habe ich folgende dependency und immer CoordinatorLayout$Behavior doppelten Eintrag. Gesucht hab ich so mehr aber fand keine Lösung. Ich bin immer Caused by: java.io.IOException: Duplicate zip entry [classes.jar:android/support/design/widget/CoordinatorLayout$Behavior.class] at proguard.io.JarWriter.getOutputStream(JarWriter.java:138) at proguard.io.FilteredDataEntryWriter.getOutputStream(FilteredDataEntryWriter.java:106) at proguard.io.FilteredDataEntryWriter.getOutputStream(FilteredDataEntryWriter.java:106) at proguard.io.FilteredDataEntryWriter.getOutputStream(FilteredDataEntryWriter.java:92) at

Beitrag-soap-xml-request mit Retrofit

Anzahl der Antworten 1 Antworten
Ich versuche zu veröffentlichen, die das soap-xml mit Retrofit-aber es fehlschlägt, verwende ich eine Einfache XML-Framework zum Modell einer SOAP-Anfrage, die wie folgt aussieht: Request-XML @Root(name = "soap12:Envelope") @NamespaceList({ @Namespace(reference = "http://www.w3.org/2001/XMLSchema-instance", prefix = "xsi"), @Namespace(reference =

Android Studio-Kein Modul

Anzahl der Antworten 10 Antworten
Ich bin neu in Android Studio.Dies ist mein Projekt screenshot.Mein Projekt erfolgreich erstellt, aber wenn ich es laufen nur Bauen Erfolgreich gezeigt. Von was ich verstehe, ich denke, wo zu bauen ist geschrieben in der Symbolleiste sollte

Sollte ich hinzufügen .Idee/caches/build_file_checksums.ser zu .gitignore?

Anzahl der Antworten 2 Antworten
Ich aktualisierte mein Android Studio von 3.0.1 auf 3.1, und bemerkte eine fremde Datei in meinem bestehenden Projekt: .idea/caches/build_file_checksums.ser Es nicht davon abhängig, ob Sie aktualisieren Sie das Android-Gradle-plugin, um die Letzte 3.1.0; einmal öffnete ich ein

kann ich ein Bild hinzufügen header in der navigation drawer-layout

Anzahl der Antworten 2 Antworten
wie kann ich ein Bild hinzufügen header, um meine navigation drawer-layout wie dieses und das ist mein code : MainActivity.java package com.webileapps.navdrawer; import android.app.AlarmManager; import android.app.AlertDialog; import android.app.PendingIntent; import android.content.Context; import android.content.DialogInterface; import android.content.res.Configuration; import android.graphics.drawable.Drawable; import

Layout <layout - > layout hat keine Erklärung in der Basis-layout-Ordner [Fehler]

Anzahl der Antworten 9 Antworten
Nach der Migration von Eclipse auf die neue version von Android Studio 3.2, API-28, ich erhalte die folgende Fehlermeldung auf meiner app-layout: Layout im layout hat keine Erklärung in der Basis-layout Ordner; das kann zu Abstürzen führen,

Android-SDK-Pfad nicht angegeben

Anzahl der Antworten 5 Antworten
Ich die bereits installierte android studio, aber ich habe ein problem, gehen Sie vor, und das problem ist, Android-SDK-Pfad nicht angegeben, was das bedeutet, brauche ich etwas zum download oder was?Android SDK ist dass problem siehe stackoverflow.com/questions/16581752/...

android studio nicht sehen USB angeschlossenen Gerät

Anzahl der Antworten 6 Antworten
Nur klar zu sein, das Gerät ist nicht gesperrt oder irgendwas und es funktioniert perfekt für meinen Freund, der hat die gleiche android-studio-version. Das problem ist nicht mit der Erkennung des usb-Geräts (durch den computer), ich kann

Android Studio Projekt-Encoding-Fehler

Anzahl der Antworten 3 Antworten
Jedes mal, wenn ich ein neues Projekt beginnen, nach gradle beendet es zeigt diese Warnung an mich. Warning:The project encoding (windows-1252) does not match the encoding specified in the Gradle build files (UTF-8). This can lead to

Android Studio nicht installieren, update (Fehler : Fehler beim Lesen oder erstellen, installieren Sie Datei-Eigenschaften.)

Anzahl der Antworten 7 Antworten
Screenshot des Fehlers Ich bin mit [ Android Studio 2.3 Build #AI-162.3764568, erbaut auf 24 Februar 2017 JRE: 1.8.0_112-release-amd64-b06 JVM: OpenJDK 64-Bit Server VM von JetBrains s.r.o] auf Ubuntu 16.04. Aus vergangenen Tagen android studio gibt mir